<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>KPI Assesment</title>
    <link rel="stylesheet" th:href="@{/css/sweetalert2.min.css}">
    <!-- SweetAlert2 JS -->
    <script th:src="@{/js/sweetalert2.js}"></script>
    <script>
        function confirmDelete(element) {
            event.preventDefault(); // Prevent the default navigation

            // SweetAlert2 confirmation dialog
            Swal.fire({
                title: 'Are you sure?',
                text: "This action cannot be undone!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.isConfirmed) {
                    // Redirect to the dynamically set data-href URL if confirmed
                    window.location.href = element.getAttribute("data-href");
                }
            });
        }
    </script>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_kpi_assesment::sidebar_kpi_assesment" th:remove="tag">
        sidebar
    </div>


    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-circle text-secondary" ></i> KPI Assesment
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success mb-3" role="alert" th:if="${success != null}">
                    <i class="fa fa-check"></i> <span th:text="${success}"></span>
                </div>
                <div class="alert alert-danger mb-3" role="alert" th:if="${error != null}">
                    <i class="fa fa-check"></i> <span th:text="${error}"></span>
                </div>
                <div class="card shadow-sm border-0">
                    <div class="card-header p-4">
                        <div class="d-flex justify-content-between">
                            <span class="fw-bold text-secondary">List Of Employes</span>
                            <a class="btn btn-primary btn-sm" th:href="@{/kpi/add}">
                                Add Report
                            </a>
                        </div>
                    </div>
                    <div class="card-body pt-4 pb-0 border-0">
                        <form method="get">
                            <div class="row">

                                <div class="col-md-9">

                                </div>

                                <div class="col-md-3" align="right">
                                    <input
                                            class="form-control me-2"
                                            type="text"
                                            placeholder="Search"
                                            name="search"
                                            th:value="${search}"
                                            aria-label="Search"
                                    />
                                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                                </div>

                            </div>
                            <br />
                        </form>
                    </div>

                    <div class="card-body small p-0 pb-0">
                        <table class="table table-striped table-hover mb-0">
                            <thead>
                            <tr>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">No</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">ID</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Name</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Type</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Desc</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 10px"></th>
                            </tr>
                            </thead>
                            <tbody class="align-middle">
                            <tr th:each="dataEmployee,row : ${listEmployee}">
                                <td class="border-start-0 border-end-0 text-end" th:text="${row.index + 1}"></td>
                                <td class="border-start-0 border-end-0 " th:text="${dataEmployee[2]}"></td>
                                <td class="border-start-0 border-end-0" th:text="${dataEmployee[3]}"></td>
                                <td class="border-start-0 border-end-0">
                                    <div class="badge text-bg-warning" th:if="${dataEmployee[5] == 'DOSEN'}" th:text="${dataEmployee[5]}"></div>
                                    <div class="badge text-bg-success" th:if="${dataEmployee[5] == 'TENDIK'}" th:text="${dataEmployee[5]}"></div>
                                </td>
                                <td class="border-start-0 border-end-0" th:text="${dataEmployee[4]}"></td>
                                <td class="border-start-0 border-end-0">
                                    <a class="btn btn-sm btn-primary" title="Assesment" th:href="@{/kpi_assesment/process(idpos=${dataEmployee[0]},employes=${dataEmployee[1]},jenis=${dataEmployee[5]})}">
                                        <i class="fa fa-eye"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                    </div>

                    <div class="card-footer text-end p-4 bg-body border-top-0">
<!--                        <nav aria-label="Page navigation example">-->
<!--                            <ul class="pagination" sd:pagination="full"></ul>-->
<!--                        </nav>-->
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>


<script>
    $("#selecsemester").select2({
        theme: "bootstrap-5",
        width: $(this).data("width")
            ? $(this).data("width")
            : $(this).hasClass("w-100")
                ? "100%"
                : "style",
        placeholder: $(this).data("placeholder"),
    });
</script>

<script>
    function validateSize(input, n) {
        const fileSize = input.files[0].size / 1024; // in KB
        if (n == 1) {
            var form = document.getElementById("form1");
        } else if (n == 2) {
            var form = document.getElementById("form2");
        } else if (n == 3) {
            var form = document.getElementById("form3");
        } else {
            var form = document.getElementById("form4");
        }
        if (fileSize > 100) {
            event.target.value = "";
            alert("Ukuran file melebihi 100 KB");
        } else {
            input.form.submit();
        }
    }
</script>






